Microsoft 보안 공지 MS17-008 - 긴급

Windows Hyper-V용 보안 업데이트(4013082)

게시된 날짜: 2017년 3월 15일

버전: 1.0

요약

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 이 중에서 가장 심각한 취약성은 게스트 운영 체제의 인증된 공격자가 Hyper-V 호스트 운영 체제에서 임의의 코드를 실행하게 하는 특수 제작된 응용 프로그램을 실행할 경우 원격 코드 실행을 허용할 수 있습니다. Hyper-V 역할을 사용하지 않는 고객은 영향을 받지 않습니다.

이 보안 업데이트의 심각도는 지원되는 모든 버전의 Windows에 대해 긴급입니다. 자세한 내용은 영향받는 소프트웨어 절을 참조하십시오.

이 보안 업데이트는 Hyper-V가 게스트 운영 체제 사용자 입력에 대한 유효성을 검사하는 방식을 수정하여 취약성을 해결합니다. 이 취약성에 대한 자세한 내용은 취약성 정보 절을 참조하십시오.

이 업데이트에 대한 자세한 내용은 Microsoft 기술 자료 문서 4013082을 참조하십시오.

영향받는 소프트웨어 및 취약성 심각도

영향받는 소프트웨어 버전 또는 에디션은 다음과 같습니다. 나열되지 않은 버전 또는 에디션은 지원 주기가 끝났거나 영향을 받지 않습니다. 사용 중인 소프트웨어 버전 또는 에디션에 대한 지원 주기를 확인하려면 Microsoft 지원 주기를 참조하십시오.

다음의 심각도는 취약성의 잠재적인 최대 영향을 가정합니다. 이 보안 공지 발표 후 30일 이내의 심각도 및 보안 영향과 관련된 취약성 악용 가능성에 대해서는 3월 공지 요약의 악용 가능성 인덱스를 참조하십시오.

Microsoft 소프트웨어(표 1/2)


운영 체제

Hyper-V vSMB 원격 코드 실행 취약성(CVE-2017-0021)(영문)

Microsoft Hyper-V 네트워크 스위치 서비스 거부 취약성(CVE-2017-0051)(영문)

Hyper-V 서비스 거부 취약성(CVE-2017-0074)(영문)

Hyper-V 원격 코드 실행 취약성(CVE-2017-0075)(영문)

Hyper-V 서비스 거부 취약성:
CVE-2017-0076(영문)
CVE-2017-0097(영문)
CVE-2017-0099(영문)

대체된 업데이트*

Windows Server 2008

Windows Server 2008(x64 기반 시스템용) 서비스 팩 2
(3211306)

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows 7

Windows 7(x64 기반 시스템용) 서비스 팩 1
(4012212)
보안 전용[1]

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows 7(x64 기반 시스템용) 서비스 팩 1
(4012215)
월별 롤업[1]

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3212646

Windows Server 2008 R2

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1
(4012212)
보안 전용[1]

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1
(4012215)
월별 롤업[1]

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3212646

Windows 8.1

Windows 8.1(x64 기반 시스템용)
(4012213)
보안 전용[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows 8.1(x64 기반 시스템용)
(4012216)
월별 롤업[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3205401

Windows Server 2012 및 Windows Server 2012 R2

Windows Server 2012
(4012214)
보안 전용[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows Server 2012
(4012217)
월별 롤업[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3205409

Windows Server 2012 R2
(4012213)
보안 전용[2]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows Server 2012 R2
(4012216)
월별 롤업[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3205401

Windows 10

Windows 10(x64 기반 시스템용)[3] (4012606)

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3210720

Windows 10 버전 1511(x64 기반 시스템용)[3] (4013198)

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3210721

Windows 10 버전 1607(x64 기반 시스템용)[3] (4013429)

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3213986

Windows Server 2016

Windows Server 2016(x64 기반 시스템용)[3] (4013429)

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3213986

Server Core 설치 옵션

Windows Server 2008(x64 기반 시스템용) 서비스 팩 2(Server Core 설치)
(3211306)

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1(Server Core 설치)
(4012212)
보안 전용[1]

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1
(Server Core 설치)
(4012215)
월별 롤업[1]

해당 없음

해당 없음

해당 없음

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3212646

Windows Server 2012(Server Core 설치)
(4012214)
보안 전용[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows Server 2012(Server Core 설치)
(4012217)
월별 롤업[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3205409

Windows Server 2012 R2(Server Core 설치)
(4012213)
보안 전용[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

없음

Windows Server 2012 R2(Server Core 설치)
(4012216)
월별 롤업[1]

해당 없음

해당 없음

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3205401

Windows Server 2016(x64 기반 시스템용)[3](Server Core 설치)
(4013429)

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

중요(영문)
서비스 거부

3213986

Microsoft 소프트웨어(표 2/2)


운영 체제

Hyper-V vSMB 원격 코드 실행 취약성(CVE-2017-0095)(영문)

Hyper–V 정보 유출 취약성(CVE-2017-0096)(영문)

Hyper-V 서비스 거부 취약성(CVE-2017-0098)(영문)

Hyper–V 메모리 손상 취약성(CVE-2017-0109)(영문)

대체된 업데이트

Windows Server 2008

Windows Server 2008(x64 기반 시스템용) 서비스 팩 2
(3211306)

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows 7

Windows 7(x64 기반 시스템용) 서비스 팩 1
(4012212)
보안 전용[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows 7(x64 기반 시스템용) 서비스 팩 1
(4012215)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3212646

Windows Server 2008 R2

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1
(4012212)
보안 전용[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1
(4012215)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3212646

Windows 8.1

Windows 8.1(x64 기반 시스템용)
(4012213)
보안 전용[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows 8.1(x64 기반 시스템용)
(4012216)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3205401

Windows Server 2012 및 Windows Server 2012 R2

Windows Server 2012
(4012214)
보안 전용[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows Server 2012
(4012217)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3205409

Windows Server 2012 R2
(4012213)
보안 전용[2]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows Server 2012 R2
(4012216)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3205401

Windows 10

Windows 10(x64 기반 시스템용)[3] (4012606)

중요(영문)
원격 코드 실행

중요(영문)
정보 유출

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

3210720

Windows 10 버전 1511(x64 기반 시스템용)[3] (4013198)

중요(영문)
원격 코드 실행

중요(영문)
정보 유출

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

3210721

Windows 10 버전 1607(x64 기반 시스템용)[3] (4013429)

중요(영문)
원격 코드 실행

중요(영문)
정보 유출

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

3213986

Windows Server 2016

Windows Server 2016(x64 기반 시스템용)[3] (4013429)

중요(영문)
원격 코드 실행

중요(영문)
정보 유출

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

3213986

Server Core 설치 옵션

Windows Server 2008(x64 기반 시스템용) 서비스 팩 2(Server Core 설치)
(3211306)

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1(Server Core 설치)
(4012212)
보안 전용[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows Server 2008 R2(x64 기반 시스템용) 서비스 팩 1
(Server Core 설치)
(4012215)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3212646

Windows Server 2012(Server Core 설치)
(4012214)
보안 전용[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows Server 2012(Server Core 설치)
(4012217)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3205409

Windows Server 2012 R2(Server Core 설치)
(4012213)
보안 전용[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

없음

Windows Server 2012 R2(Server Core 설치)
(4012216)
월별 롤업[1]

해당 없음

중요(영문)
정보 유출

해당 없음

긴급(영문)
원격 코드 실행

3205401

Windows Server 2016(x64 기반 시스템용)[3](Server Core 설치)
(4013429)

중요(영문)
원격 코드 실행

중요(영문)
정보 유출

중요(영문)
서비스 거부

긴급(영문)
원격 코드 실행

3213986

[1]2016년 10월 릴리스부터는 Windows 7, Windows Server 2008 R2, Windows 8.1, Windows Server 2012 및 Windows Server 2012 R2의 업데이트 서비스 모델이 변경됩니다. 자세한 내용은 이 Microsoft TechNet 문서(영문)를 참조하십시오.

[2]이 업데이트는 Windows 업데이트를 통해서만 제공됩니다.

[3] Windows 10 및 Windows Server 2016 업데이트는 누적 업데이트입니다. 월별 보안 릴리스에는 비보안 업데이트뿐만 아니라 Windows 10에 영향을 미치는 취약성에 대한 모든 보안 픽스가 포함되어 있습니다. 이 업데이트는 Microsoft 업데이트 카탈로그를 통해 제공됩니다. 2016년 12월 13일부터는 Windows 10 및 Windows Server 2016 누적 업데이트 관련 세부 정보가 릴리스 정보를 통해 제공될 예정입니다. OS 빌드 번호, 알려진 문제 및 영향받는 파일 목록 정보는 릴리스 정보를 참조하십시오.

*대체된 업데이트 열에는 대체된 일련의 업데이트 중 최신 업데이트만 표시됩니다. 대체된 업데이트의 전체 목록을 확인하려면 Microsoft 업데이트 카탈로그에서 업데이트 KB 번호를 검색한 다음 업데이트 세부 정보를 보십시오. 대체된 업데이트 정보는 패키지세부 정보 탭에 나와 있습니다.

업데이트 FAQ

Hyper-V를 사용하지 않고 있는데, 이 업데이트가 왜 제공됩니까?
영향받는 소프트웨어 표에 나열된 영향받는 소프트웨어에는 취약한 코드가 존재합니다. 심층 방어 수단으로서 그리고 Hyper-V가 사용되도록 설정될 경우 시스템을 보호하기 위해, 취약한 코드가 포함된 지원되는 모든 제품 및 버전에 이 업데이트가 적용됩니다.

취약성 정보

다양한 Hyper-V 서비스 거부 취약성

호스트 서버의 Microsoft Hyper-V 네트워크 스위치가 게스트 운영 체제에서 권한 있는 사용자의 입력에 대한 유효성을 제대로 검사하지 못하는 경우 다양한 서비스 거부 취약성이 존재합니다. 게스트 운영 체제에서 이미 권한 있는 계정을 가지고 있고 가상 컴퓨터로 실행되는 공격자는 이 취약성을 악용하기 위해 특수하게 제작된 응용 프로그램을 실행하여 호스트 컴퓨터에 충돌이 발생하도록 할 수 있습니다.

게스트 운영 체제에서 이미 권한 있는 계정을 가지고 있고 가상 컴퓨터로 실행되는 공격자는 이 취약성을 악용하기 위해 특수하게 제작된 응용 프로그램을 실행할 수 있습니다.

이 보안 업데이트는 경계 외부의 메모리 액세스를 차단하여 취약성을 해결합니다.

다음 표에는 CVE(Common Vulnerabilities and Exposures) 목록의 각 취약성에 대한 표준 항목 링크가 포함되어 있습니다.

취약성 제목 CVE 번호 공개적으로 보고됨 악용 여부
Microsoft Hyper-V 네트워크 스위치 서비스 거부 취약성 CVE-2017-0051(영문) 아니요 아니요
Hyper-V 서비스 거부 취약성 CVE-2017-0074(영문) 아니요 아니요
Hyper-V 서비스 거부 취약성 CVE-2017-0076(영문) 아니요 아니요
Hyper-V 서비스 거부 취약성 CVE-2017-0097(영문) 아니요
Hyper-V 서비스 거부 취약성 CVE-2017-0098(영문) 아니요 아니요
Hyper-V 서비스 거부 취약성 CVE-2017-0099(영문) 아니요 아니요

완화 요소

다음과 같은 완화 요소(영문)가 현재 상황에서 유용할 수 있습니다.

  • Hyper-V 역할을 사용하지 않는 고객은 영향을 받지 않습니다.

해결 방법

이 취약성에 대한 해결 방법(영문)을 확인하지 못했습니다.

다양한 Hyper-V vSMB 원격 코드 실행 취약성

호스트 서버의 Windows Hyper-V가 vSMB 패킷 데이터의 유효성을 제대로 검사하지 못하는 경우 다양한 원격 코드 실행 취약성이 존재합니다. 이 취약성 악용에 성공한 공격자는 대상 운영 체제에서 임의의 코드를 실행할 수 있습니다.

이 취약성을 악용하기 위해 가상 컴퓨터 내에서 실행되는 공격자는 Hyper-V 호스트 운영 체제에서 임의의 코드를 실행하도록 하는 특수 제작된 응용 프로그램을 실행할 수 있습니다.

이 업데이트는 Windows Hyper-V가 vSMB 패킷 데이터에 대한 유효성을 검사하는 방식을 수정하여 취약성을 해결합니다.

다음 표에는 CVE(Common Vulnerabilities and Exposures) 목록의 각 취약성에 대한 표준 항목 링크가 포함되어 있습니다.


취약성 제목 CVE 번호 공개적으로 보고됨 악용 여부
Hyper-V vSMB 원격 코드 실행 취약성 CVE-2017-0021(영문) 아니요 아니요
Hyper-V vSMB 원격 코드 실행 취약성 CVE-2017-0095(영문) 아니요 아니요

완화 요소

다음과 같은 완화 요소(영문)가 현재 상황에서 유용할 수 있습니다.

  • Hyper-V 역할을 사용하지 않는 고객은 영향을 받지 않습니다.

해결 방법

이 취약성에 대한 해결 방법(영문)을 확인하지 못했습니다.

다양한 Hyper-V 원격 코드 실행 취약성

호스트 서버의 Windows Hyper-V가 게스트 운영 체제에서 인증된 사용자의 입력에 대한 유효성을 제대로 검사하지 못하는 경우 다양한 원격 코드 실행 취약성이 존재합니다. 이 취약성을 악용하기 위해 공격자는 Hyper-V 호스트 운영 체제에서 임의의 코드를 실행하게 할 수 있는 특수 제작된 응용 프로그램을 게스트 운영 체제에서 실행할 수 있습니다

이 취약성 악용에 성공한 공격자는 호스트 운영 체제에서 임의의 코드를 실행할 수 있습니다.

이 보안 업데이트는 Hyper-V가 게스트 운영 체제 사용자 입력에 대한 유효성을 검사하는 방식을 수정하여 취약성을 해결합니다.

다음 표에는 CVE(Common Vulnerabilities and Exposures) 목록의 각 취약성에 대한 표준 항목 링크가 포함되어 있습니다.


취약성 제목 CVE 번호 공개적으로 보고됨 악용 여부
Hyper-V 원격 코드 실행 취약성 CVE-2017-0075(영문) 아니요 아니요
Hyper-V 원격 코드 실행 취약성 CVE-2017-0109(영문) 아니요 아니요

완화 요소

다음과 같은 완화 요소(영문)가 현재 상황에서 유용할 수 있습니다.

  • Hyper-V 역할을 사용하지 않는 고객은 영향을 받지 않습니다.

해결 방법

이 취약성에 대한 해결 방법(영문)을 확인하지 못했습니다.

Hyper–V 정보 유출 취약성(CVE-2017-0096)(영문)

호스트 운영 체제의 Windows Hyper-V가 게스트 운영 체제에서 인증된 사용자의 입력에 대한 유효성을 제대로 검사하지 못하는 경우 정보 유출 취약성이 존재합니다. 이 취약성을 악용하기 위해 게스트 운영 체제의 공격자는 Hyper-V 호스트 운영 체제에서 메모리 정보를 유출하게 할 수 있는 특수 제작된 응용 프로그램을 실행할 수 있습니다.

이 취약성 악용에 성공한 공격자는 Hyper-V 호스트 운영 체제의 정보에 대한 액세스 권한을 얻을 수 있습니다.

이 보안 업데이트는 Hyper-V가 게스트 운영 체제 사용자 입력에 대한 유효성을 검사하는 방식을 수정하여 취약성을 해결합니다.

다음 표에는 CVE(Common Vulnerabilities and Exposures) 목록의 각 취약성에 대한 표준 항목 링크가 포함되어 있습니다.


취약성 제목 CVE 번호 공개적으로 보고됨 악용 여부
Hyper-V 정보 유출 취약성 CVE-2017-0096(영문) 아니요 아니요

완화 요소

다음과 같은 완화 요소(영문)가 현재 상황에서 유용할 수 있습니다.

  • Hyper-V 역할을 사용하지 않는 고객은 영향을 받지 않습니다.

해결 방법

이 취약성에 대한 해결 방법(영문)을 확인하지 못했습니다.

보안 업데이트 배포

보안 업데이트 배포 정보는 요약에서 여기에 나오는 Microsoft 기술 자료 문서를 참조하십시오.

감사의 말

Microsoft는 조정된 취약성 공개를 통해 고객을 보호하는 데 도움을 주는 보안 커뮤니티의 공로를 기립니다. 자세한 내용은 감사의 말(영문)을 참조하십시오.

고지 사항

Microsoft 기술 자료에서 제공되는 정보는 어떠한 보증도 없이 "있는 그대로" 제공됩니다. Microsoft는 상품성과 특정 목적에 대한 적합성의 보증을 포함하여 명시적이거나 묵시적인 모든 보증을 부인합니다. Microsoft Corporation 또는 그 공급자는 모든 직접적, 간접적, 부수적, 파생적 손해 또는 영업 이익 손실 또는 특수한 손실에 대하여 어떠한 경우에도 책임을 지지 않으며, 이는 Microsoft Corporation과 그 공급자가 그와 같은 손해의 가능성을 사전에 알고 있던 경우에도 마찬가지입니다. 일부 지역에서는 파생적 또는 부수적 손해에 대한 책임의 배제 또는 제한을 허용하지 않으므로 위 제한이 적용되지 않을 수도 있습니다.

수정 내역

  • V1.0(2017년 3월 15일): 공지가 게시되었습니다.

2017년 3월 8일 12:34-08:00에 페이지가 생성되었습니다.